%define namp	perl
%define nams1	ExtUtils
%define nams2	F77
%define name	%{namp}-%{nams1}_%{nams2}
%define version	1.14
%define release	%mkrel 12

Summary:	Simple interface to F77 libs
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://search.cpan.org/dist/ExtUtils-F77/
Source0:	http://www.perl.com/CPAN/authors/id/KGB/%{nams1}-%{nams2}-%{version}.tar.bz2
Patch0:		ExtUtils-F77-1.14-no-usrlib.patch
Patch1:		ExtUtils-F77-1.14-gfortran.patch
License:	GPL
Group:		Development/Perl
BuildRequires:	gcc-gfortran perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	gcc-gfortran
BuildArch:	noarch

%description
Simple interface to F77 libs.  Used to be in perl-PDL, but isn't anymore.

This module tries to figure out how to link C programs with
Fortran subroutines on your system. Basically one must add a list
of Fortran runtime libraries. The problem is their location
and name varies with each OS/compiler combination!

%prep
%setup -n %{nams1}-%{nams2}-%{version} -q
%patch0 -p1 -b .no-usrlib
%patch1 -p0 -b .gfortran

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{perl_vendorlib}/*
%{_mandir}/*/*
%doc README CHANGES




%changelog

* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.14-12mdv2007.0
+ Revision: 108538
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-ExtUtils_F77

* Wed Jun 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.14-11mdk
- Use gfortran instead of g77 (patch 1)

* Sat Jan 22 2005 Stefan van der Eijk <stefan@mandrake.org> 1.14-10mdk
- rebuild

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.14-9mdk
- own dir
- rebuild

